Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80604 - Terminal -> Character Encoding shows UTF-8 twice in default install
Summary: Terminal -> Character Encoding shows UTF-8 twice in default install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-terminal
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-28 17:18 UTC by Daniel Resare
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-10 20:02:56 UTC


Attachments (Terms of Use)

Description Daniel Resare 2002-12-28 17:18:50 UTC
Description of problem:

when i start up gnome-terminal in a freshly installed phoebe system the
"Terminal" -> "Character encoding" menu has two entries, both Unicode (UTF-8)

Version-Release number of selected component (if applicable):
gnome-terminal-2.1.3-2

How reproducible:
always

Steps to Reproduce:
1. create a new account
2. start gnome-terminal
3. take a look at the Terminal -> Character encoding submenu
    
Actual results:
Double "Unicode (UTF-8)" entries

Expected results:

I suppose a resonable default i would be "Unicode (UTF-8)" and "Western
(ISO-8859-1)"

Comment 1 Havoc Pennington 2003-01-02 22:06:52 UTC
I swear I added code to fix that at one point, but yes I see the same.

Comment 2 Havoc Pennington 2003-01-02 22:13:54 UTC
the current fix code is too limited, we need to strip all duplicates out 
of the list of encodings.



Comment 3 Nalin Dahyabhai 2003-01-10 00:02:47 UTC
Better to just default to listing the locale's encoding, and if it's not UTF-8,
UTF-8 as well -- as these are the only options available to applications which
want to change the terminal's encoding.

Comment 4 Miloslav Trmac 2003-01-10 10:44:34 UTC
* What if I install in Czech with Chinese as an additional language?
  (zh_CN.gb18030)
* That locally-installed applications can't use locale with a specific
  encoding doesn't mean that I don't need the terminal to convert that
  encoding (consider SSH-ing to a different computer).

Comment 5 Havoc Pennington 2003-01-10 20:02:56 UTC
gnome-terminal 2.1.4 eliminates the duplicates.

> * What if I install in Czech with Chinese as an additional language?
>   (zh_CN.gb18030)

The encoding menu is user-customizable, you can add whatever you want in there.

> * That locally-installed applications can't use locale with a specific
>   encoding doesn't mean that I don't need the terminal to convert that
>  encoding (consider SSH-ing to a different computer).

The encoding menu supports converting from any encoding that your 
C library supports. There's really nothing else we can do. I think 
we always install all the C library encoding support though (run "iconv -l" to
list all the encodings glibc knows about).



Note You need to log in before you can comment on or make changes to this bug.